Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514344 - [RFE] Allow import of existing files on the hosting volume
Summary: [RFE] Allow import of existing files on the hosting volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-block
Version: cns-3.10
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: CNS 3.10
Assignee: Prasanna Kumar Kalever
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On:
Blocks: 1568860
TreeView+ depends on / blocked
 
Reported: 2017-11-17 07:36 UTC by Raghavendra Talur
Modified: 2018-09-12 09:26 UTC (History)
5 users (show)

Fixed In Version: gluster-block-0.2.1-18.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-12 09:25:17 UTC


Attachments (Terms of Use)
Sanity check logs (deleted)
2018-04-12 10:00 UTC, Sweta Anandpara
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:2691 None None None 2018-09-12 09:26:31 UTC

Description Raghavendra Talur 2017-11-17 07:36:08 UTC
Description of problem:
It would be required for upcoming CNS features that existing files on hosting volume be exported as a gluster block device. There should be an option to specify file path instead of providing the size of the block volume in a gluster-block create command. This way we can import existing files.


In such a case, it is also required that gluster-block provides a mechanism to only unexport a block volume without deleting the file from hosting volume.

Comment 7 Sweta Anandpara 2018-04-12 10:00:23 UTC
Created attachment 1420790 [details]
Sanity check logs

Comment 14 errata-xmlrpc 2018-09-12 09:25:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2691


Note You need to log in before you can comment on or make changes to this bug.